function showMsg(msg) {//提示
    api.toast( {
        msg: msg,
        duration: 2000,
        location: 'bottom',
        global: true
    } );
}
function showOffLine(msg) {//网络断开连接提示
    api.toast( {
        msg: msg,
        duration: 2000,
        location: 'bottom',
        global: true
    } );
}

var loadingcheck=false;
var loadingTime = null;
function loading(){
    loadingcheck=true;
    if(loadingTime != null){
        clearTimeout(loadingTime);
        loadingTime = null;
    }
    loadingTime = setTimeout(function(){
      if(loadingcheck){
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '',
            text: '',
            modal: true
        });
      }
    },1000);
}

//关闭loading
function closeLoading(){
    loadingcheck=false;
    if(loadingTime != null){
        clearTimeout(loadingTime);
        loadingTime = null;
    }
    api.hideProgress();
}

function loginWin() {//同级目录页面进入登录页
  if(typeof($api.getStorage("loginKey")) != "undefined" && $api.getStorage("loginKey") != ""){
      api.alert({
      title: '',
      msg: i18n("user.reLogin"),
      buttons:[i18n("button.save")]
      },function(ret,err){
      });
  }
  $api.setStorage('loginKey', '');
    api.openWin({
        name: 'loginWin',
        url: './login.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 100
        }
    });
}

function loginWinFromIndex() {//首页进入登录页
  if(typeof($api.getStorage("loginKey")) != "undefined" && $api.getStorage("loginKey") != ""){
      $api.setStorage('loginPageBack', 'index');
      api.alert({
      title: '',
      msg: i18n("user.reLogin"),
      buttons:[i18n("button.save")]
      },function(ret,err){
      });
  }
  $api.setStorage('loginKey', '');
    api.openWin({
        name: 'loginWin',
        url: './html/login.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 100
        }
    });
}

function addequipuserWin() {
    api.openWin({
        name: 'addequipuser',
        url: './add_equipuser.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 200
        }
    });
}
function adduserWin() {
    api.openWin({
        name: 'adduser',
        url: './add_user.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 200
        }
    });
}

function languageWin() {
    api.openWin({
        name: 'languageWin',
        url: './language.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 200
        }
    });
}

function addCloudAppuser() {
    api.openWin({
        name: 'addCloudAppuser',
        url: './add_cloud_appuser.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 200
        }
    });
}

function usertable() {
    api.openWin({
        name: 'usertable',
        url: './usertable.html',
        pageParam: {

        },
        animation: {
            type: 'reveal',
            subType: 'from_right',
            duration: 200
        }
    });
}

function userDetailWin(id){
  api.openWin({
      name: 'userdetails',
      url: './userdetails.html',
      pageParam: {
        id:id
      },
      animation: {
          type: 'movein',
          subType: 'from_bottom',
          duration: 250
      }
  });
}
